Update or Add the Payment object and optionally make changes to any child objects.Copy Pagepatch https://{server_address}/ResourceServer/api/v10/Payment/{id}Path ParamsidintegerrequiredUnique identifier for the Payment object.Body ParamsRepresents a Payment that has been made on an account.datedate-timeDate the payment was made. Date and time values are specified in the ISO 8601 format.amountnumberaccountIdnumberUnique identifier for the associated Account object.accountNamestringThe name of the object associated with the accountId property.disbursedbooleantruetruefalsepaymentTypeIdnumberUnique identifier for the associated PaymentType object.paymentTypeNamestringThe name of the object associated with the paymentTypeId property.detailstringcardTypeIdnumberUnique identifier for the associated CardType object.cardTypeNamestringThe name of the object associated with the cardTypeId property.checkNumberstringautomaticDisbursebooleantruetruefalseinvoiceIdnumberUnique identifier for the associated Invoice object.invoiceNamestringThe name of the object associated with the invoiceId property.postingdate-timeDate the payment should be shown as posted. Date and time values are specified in the ISO 8601 format.baseAmountnumberinvoiceAmountnumbercurrencyExchangeDetailIdnumberUnique identifier for the associated CurrencyExchangeDetail object.currencyExchangeDetailNamestringThe name of the object associated with the currencyExchangeDetailId property.billRunHistoryIdnumberUnique identifier for the associated BillRunHistory object.billRunHistoryNamestringThe name of the object associated with the billRunHistoryId property.isManualbooleantruetruefalsereversePaymentIdnumberUnique identifier for the associated Payment object.reversePaymentNamestringThe name of the object associated with the reversePaymentId property.createdByUserIdnumberUnique identifier for the associated User object.createdByUserNamestringThe name of the object associated with the createdByUserId property.paymentMethodIdnumberUnique identifier for the associated PaymentMethod object.paymentMethodNamestringThe name of the object associated with the paymentMethodId property.paymentPreAuthorizeIdnumberUnique identifier for the associated PaymentPreAuthorize object.paymentPreAuthorizeNamestringThe name of the object associated with the paymentPreAuthorizeId property.paymentTransactionIdnumberUnique identifier for the associated PaymentTransaction object.paymentTransactionNamestringThe name of the object associated with the paymentTransactionId property.createdByPortalUserIdnumberUnique identifier for the associated PortalUser object.createdByPortalUserNamestringThe name of the object associated with the createdByPortalUserId property.paymentStatusTypeIdnumberUnique identifier for the associated PaymentStatusType object.paymentStatusTypeNamestringThe name of the object associated with the paymentStatusTypeId property.retryPaymentIdnumberUnique identifier for the associated Payment object.retryPaymentNamestringThe name of the object associated with the retryPaymentId property.isDeletedstringdeletedByUserIdstringdeletedByUserNamestringpaymentTransactionTypeIdnumberUnique identifier for the associated PaymentTransactionType object.paymentTransactionTypeNamestringThe name of the object associated with the paymentTransactionTypeId property.Responses 200Patch end points allow for adding/updating multiple related entities and the results of those changes will be reported in the response JSON payload in the items array. 400The request could not be processed.Updated 2 months ago